Reenable fluentd ingest pipeline again

This commit is contained in:
Stefan Reimer 2020-09-28 04:45:39 -07:00
parent 8ed0cba97b
commit 0b50dbcfbe
3 changed files with 6 additions and 4 deletions

View File

@ -2,7 +2,7 @@ apiVersion: v2
name: kubezero-logging name: kubezero-logging
description: KubeZero Umbrella Chart for complete EFK stack description: KubeZero Umbrella Chart for complete EFK stack
type: application type: application
version: 0.3.6 version: 0.3.7
appVersion: 1.2.1 appVersion: 1.2.1
home: https://kubezero.com home: https://kubezero.com
icon: https://cdn.zero-downtime.net/assets/kubezero/logo-small-64.png icon: https://cdn.zero-downtime.net/assets/kubezero/logo-small-64.png

View File

@ -128,8 +128,7 @@ fluentd:
remove_keys id remove_keys id
# KubeZero pipeline incl. GeoIP etc. # KubeZero pipeline incl. GeoIP etc.
# Freaking ES jams under load and all is lost ... pipeline fluentd
# pipeline fluentd
host "#{ENV['OUTPUT_HOST']}" host "#{ENV['OUTPUT_HOST']}"
port "#{ENV['OUTPUT_PORT']}" port "#{ENV['OUTPUT_PORT']}"

View File

@ -2,6 +2,7 @@
set -e set -e
DEPLOY_DIR=$( dirname $( realpath $0 )) DEPLOY_DIR=$( dirname $( realpath $0 ))
which yq || { echo "yq not found!"; exit 1; }
# Waits for max 300s and retries # Waits for max 300s and retries
function wait_for() { function wait_for() {
@ -31,13 +32,15 @@ else
_argo_date="$(date -u --iso-8601=seconds)" _argo_date="$(date -u --iso-8601=seconds)"
_argo_passwd="$($DEPLOY_DIR/argocd_password.py)" _argo_passwd="$($DEPLOY_DIR/argocd_password.py)"
cat <<EOF >> values.yaml cat <<EOF > _argocd_values.yaml
argo-cd:
configs: configs:
secret: secret:
# ArgoCD password: ${_argo_passwd%%:*} Please move to secure location ! # ArgoCD password: ${_argo_passwd%%:*} Please move to secure location !
argocdServerAdminPassword: "${_argo_passwd##*:}" argocdServerAdminPassword: "${_argo_passwd##*:}"
argocdServerAdminPasswordMtime: "$_argo_date" argocdServerAdminPasswordMtime: "$_argo_date"
EOF EOF
yq merge -i --overwrite values.yaml _argocd_values.yaml && rm -f _argocd_values.yaml
fi fi
# Deploy initial argocd # Deploy initial argocd